/* @import url('https://fonts.googleapis.com/css2?family=Teko:wght@300..700&display=swap'); */


@font-face {
  font-family: 'Teko';
  src: url('fonts/teko-pl.woff2') format('truetype');
  font-display: swap;

}
@font-face {
  font-family: 'Teko';
  src: url('fonts/teko-uniwersal.woff2') format('truetype');
  font-display: swap;

}
@font-face {
  font-family: 'Raleway';
  src: url('fonts/Raleway-VariableFont_wght.ttf') format('truetype');
  font-display: swap;
}
@font-face {
  font-family: 'Raleway';
  src: url('fonts/Raleway-Italic-VariableFont_wght.ttf') format('truetype');
  font-display: swap;
  font-style: italic;
}
html {
  box-sizing: border-box;
}

*, *::before, *::after {
  box-sizing: inherit;
}

body {
  background-color: #383838;
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
}

header {
  width: 100%;
  background-color: black;
  height: 100px;
  position: sticky;
  top: 0;
  display: flex;
  z-index: 5;
}

header h1 {
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  margin: 0;
  margin-left: -110px;
  font-size: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 1;
  text-align: center;
}

header img {
  height: 100%;
  margin-left: 10px;
  position: relative;
}

header #head {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  padding: 0;
  margin-left: 0;
}

main #a {
  margin: 0;
  padding: 0;
  background-image: url('banner.webp'); /* Ścieżka do Twojego zdjęcia */
  background-size: cover; /* Tło dopasowane do rozmiaru elementu */
  background-position: center center; /* Ustawienie tła na środku */
  background-attachment: fixed; /* Tło nie przewija się razem ze stroną */
  background-repeat: no-repeat; /* Zapobiega powtarzaniu tła */
  height: 100vh; /* Wysokość tła na całą wysokość okna */
  width: 100%; /* Szerokość elementu */
}

#a img {
  width: 100%;
  max-width: 100%;
  margin-top: 0;
  background-attachment: fixed;
}

#BB {
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  margin: 0;
  font-size: 75px;
  position: absolute;
  left: 5%;
  top: 30%;
}

#hi {
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  margin: 0;
  font-size: 100px;
  position: absolute;
  left: 5%;
  top: 30%;
  transform: translateY(35px);


}
.fade {
  transition: opacity 1.1s ease-in-out;
}

.hidden {
  opacity: 0;
}

#b {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#naglowek {
  width: 28.9%;
  height: 100px;
  background-color: rgb(84, 84, 84, 0.85);
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: -270px;
  z-index: 3;
  border-radius: 10px;
}

#naglowek h2 {
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  margin: 0;
  font-size: 50px;
}

#c {
  display: grid;
  grid-gap: 30px;
  grid-template-columns: repeat(auto-fit, minmax(30%, 1fr));
  max-width: 100%;
  margin: -40px auto 0;
  padding: 0 5%;
}

.uslugi {
  background-color: rgb(84, 84, 84, 0.85);
  display: flex;
  flex-direction: column;
  height: 520px;
  z-index: 4;
  border-radius: 10px;
  padding: 20px;
  justify-content: center;
  align-content: space-between;
  gap: 20px;
  min-width: 100%;
  box-sizing: border-box;
  padding-bottom: 20px;
  padding-bottom-min: 20px;
}

.uslugi .gora-uslugi {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
  max-height: 100px;
  box-sizing: border-box;
  padding: 0 20px;
  align-content: space-between;
}
#h {
  padding: 0;
  margin: 0;
  align-content: center;
  justify-content: center;
  display: flex;
  max-height: 80px;
}
.uslugi div {
  display: block;
  width: 100%;
  height: auto;
  padding: 20px;
  max-height: 35%;
  overflow: hidden;
}

.uslugi p {
  color: #ffffff;
  text-align: center;
  font-size: 18px;
  margin: 0;
  padding: 0;
  word-wrap: break-word;
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;

}

.uslugi img {
  height: 80px;
  margin-left: 10px;
}


.uslugi h3 {
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  margin: 0px;
  margin-left: 20px;
  font-size: 30px;
  text-align: center;
  display: flex;
  align-items: center;
}

.dol-uslugi {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-content: center;
  margin-top: 0px;
}

.dol-uslugi button{
  height: 80px;
  width: 65%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
  text-align: center;
  border: 4px solid #a977d3;
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  align-items: center;
  background-color: rgb(113, 102, 122, 0.85);
  box-shadow: 0 0 13px rgb(169, 119, 211, 0.6);
  font-size: 25px;
  transition: 0.25s;
  margin: auto;

}

.dol-uslugi button:hover {
  background-color: rgb(169, 119, 211, 0.85);
  box-shadow: 0 0 20px rgb(169, 119, 211, 0.75);
  transform: scale(1.05);
}
.dol-uslugi button:active {
  transform: scale(0.85);
}
.info {
  position: fixed;
  top: 50%;
  left: 50%;
  background-color: rgba(22, 22, 22, 0.95);
  border: 4px solid #a977d3;
  color: white;
  padding: 20px;
  border-radius: 10px;
  z-index: 1000;
  width: 80vw;
  height: 82%;
  max-width: 95vw;
  /* max-height: 80%; */
  overflow: auto;
  transform-origin: center;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  font-family: 'Teko', sans-serif;
  gap: 26px;
}

#info1, #info2, #info3, #info4, #info5, #info6 {
  display: none; /* Początkowo ukryty */
  transform: translate(-50%, -50%) scale(0); /* Ustawienie początkowej skali na 0 */
}


.info h1 {
  font-size: 40px;
  gap: 0;
  margin: 0;
  transition: 0.25s;
}
.info h1:hover {
  transform: scaleX(1.10);
}
#info-gora img {
  height: auto;
  width: 30px;
  aspect-ratio: 1 / 1;
}
.info p, .info ul {
  font-size: 18px;
  margin: 0;
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
  text-align: center;
}
.info ul {
  list-style: none; 
  list-style-type: '✔'; 
  text-align: left;
  display: inline;
  

}

.cena-div {
  display: flex;
  align-items: center;
  height: 30%;
  width: 100%;
  justify-content: end;
  flex-direction: column;
}
.cena p {
  display: block;

} 
.cena i {
  font-size: 45px;
  font-family: 'Teko', sans-serif;
  font-weight: lighter;
}

.close {
  display: flex;
  position: absolute;
  content: "\00d7";
  height: 30px;
  min-height: 30px;
  justify-content: center;
  align-content: center;
  margin: 0;
  padding: 0;
  text-align: center;
  border: none;
  background-color: rgba(22, 22, 22, 0);
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  align-items: center;
  transition: 0.75s;
  right: 20px;
}
.close:hover {
  transform: rotate(360deg) scale(0.85);
  cursor: pointer;
}
.close:active {
  drop-shadow: 0 0 10px rgb(255, 92, 92, 0.75);
}
#info-gora {
  display: flex;
  flex-direction: row;
}
.zamow {
  height: 110px;
  width: 40%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
  text-align: center;
  border: 4px solid #a977d3;
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  align-items: center;
  background-color: rgb(113, 102, 122, 0.85);
  box-shadow: 0 0 13px rgb(169, 119, 211, 0.6);
  font-size: 30px;
  transition: 0.25s;
  margin: 0 auto ;
}

.zamow:hover {
  background-color: rgb(169, 119, 211, 0.85);
  box-shadow: 0 0 20px rgb(169, 119, 211, 0.75);
  transform: scale(1.05);
}
.zamow:active {
  transform: scale(0.85);
}
#block:hover {
  cursor: not-allowed ;
}
#d {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: auto;
  padding: 0 5%;
  margin-left: 0;
  margin-top: 30px;
  flex-direction: column;

}
.line {
  display: none;
}
.duze-bloki {

  height: 250px;
  width: 100%;
  margin-bottom: 30px;
  color: #ffffff;
  a {
    width: 66%;
    text-decoration: none;
    color: #FFFFFF;
  }
}
#opinie{
  display: flex;
  justify-content: flex-end;
  
}
#opinie-in, #portfolio-in{
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 100%;
  background-color: rgb(84, 84, 84, 0.85);
  border-radius: 10px;
  padding: 10px;
}
#texty-opinie h2, #texty-portfolio h2{
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  margin-top: 20px;
  margin-left: 40px;
  font-size: 35px;
  font-weight: bold;
  
}
#texty-opinie {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
#texty-portfolio {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: center;
}
#texty-portfolio p{
width: 80%;
line-height: 1.5; /* Zwiększenie wysokości linii dla dłuższych linków */
word-wrap: break-word;
font-family: "Raleway", sans-serif;
font-optical-sizing: auto;
font-weight: 200;
font-style: normal;
margin: 10px 39px;
text-align: right;
}
#portfolio-in h2 {
  text-align: right;
  margin-top: 20px;
  margin-right: 40px;
  
}
#texty-opinie p{
  width: 60%;
  line-height: 1.5; /* Zwiększenie wysokości linii dla dłuższych linków */
  word-wrap: break-word;
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
  margin: 10px 39px;
}
#portfolio {
  display: flex;
  justify-content: flex-start;
}
#portfolio-in {
  display: flex;
  flex-direction: row;
  align-items: flex-end;

}

.carousel {
  display: flex;
  align-items: center;
  position: relative;
  width: 50%;
  height: 100%;
  overflow: hidden;
  border-radius: 10px;
  
}
.carousel-track1, .carousel-track2 {
  display: flex;
  transition: transform 3s ease-in-out;
}
.carousel-item1, .carousel-item2 {
  width: 100%;
  min-width: 100%;
  max-width: 100%;
  height: 100%;
  min-height: 100%;
  max-height: 100%;
  display: flex;
  flex-direction: column;
  padding: 0px;
  box-sizing: border-box;
  background-color: rgba(0,0,0,0);
  text-align: center;
  align-items: center;
  justify-content: center;
}
.carousel-item1 h3, .carousel-item2 h3 {
  text-align: center;
  max-width: 80%;
  margin-bottom: 10px;
  font-size: 1.70rem;
  color: #ffffff;
}
.carousel-item1 p, .carousel-item2 p {
  max-width: 80%;
  font-size: 1rem;
  color: #ffffff;
  align: center;
  font-family: "Raleway", sans-serif;
}
.carousel-item1 img, .carousel-item2 img {
  height: 100%;
  max-height: 100%;
  width: 100%;
}
.projekty-portfolio-img {
  filter: blur(2px) brightness(0.80);
  transition: 0.25s ease-in-out;
}
.projekty-portfolio-p {
  display: flex;
  justify-content: center;
  position: absolute;
  text-align: center;
  width: 70%;
  margin: 0;
  padding: 0;
  opacity: 1;
  font-size: 25px !important;
  color: #ffffff;
  font-family: 'Teko', sans-serif;
  font-weight: bold;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 99;
  transition: 0.25s ease-in-out;
}
.carousel-buttons {

  position: absolute;
  top: 50%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  transform: translateY(-50%);
}
.carousel-button {
  display: none;
  background-color: rgba(0, 0, 0, 0);
  border: none;
  color: #fff;
  font-size: 1.5rem;
  padding: 10px;
  cursor: pointer;
  transition: background-color 0.15s ease-in-out;
}
.carousel-button:hover {
  background-color: rgba(0, 0, 0, 0.7);
}
#p-portfolio-3 {
  left: 250%;
}
#p-portfolio-2 {
  left: 150%;
}


footer {
  width: 100%;
  height: 225px;
  background-color: rgb(7, 7, 7);
  color: #FFFFFF;
  margin-top: 30px;
  display: flex;
  float: left;
  text-decoration: none;
  a {
    color: #FFFFFF;
    text-decoration: none;
    display: inline-block;
    height: 33px;
    width: 33px;
  }
}
footer #left {
  display: flex;
  align-items: left;
  justify-content: flex-start;
  width: 33%;
  height: 100%;
  padding: 0px 50px 45px 50px;
  flex-direction: column;
  box-sizing: border-box;
}
footer h2, footer h3 {
  font-family: "Teko", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
  display: block;
  box-sizing: border-box;
}
footer p {
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
  display: block;
  font-size: 18px;
  margin: 5px 0 0 0;
  box-sizing: border-box;

}
footer #center {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  width: 33%;
  height: 100%;
  padding-bottom: 15px;
  flex-direction: column;
  box-sizing: border-box;
  font-style: italic;
  font-size: 22px;
}
footer #right {
  display: flex;
  align-items: right;
  justify-content: flex-start;
  text-align: right;
  width: 33%;
  height: 100%;
  padding: 0px 50px 45px 50px;
  flex-direction: column;
  box-sizing: border-box;
}
#partners {
  display: flex;
  align-items: center;
  justify-content: right;
}
#partners div {
  display: inline-block;

}
#partners img {
  margin: 21px 0;
}
@keyframes scaleplus {
  from {
    transform: translate(-50%, -50%) scale(0); /* Początkowa skala 0 */
  }
  to {
    transform: translate(-50%, -50%) scale(1); /* Końcowa skala 1 */
  }
}

@keyframes scaleminus {
  from {
    transform: translate(-50%, -50%) scale(1); /* Początkowa skala 1 */
  }
  to {
    transform: translate(-50%, -50%) scale(0); /* Końcowa skala 0 */
  }
}

.show {
  display: block;
  animation: scaleplus 0.5s forwards;
}

.hide {
  animation: scaleminus 0.5s forwards;
}

@media (max-width: 768px){
  header h1 {
    margin-left: 0px;
  }
  header img {
    display: none;
  }
  #hi, #BB {
    text-align: center;
    width: 100%;
    left: 0;
  }
  #BB {
    font-size: 60px;
  }
  #naglowek {
    width: 70%;
  }
  #c {
    grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
  }
  .uslugi div {
    padding: 20
  }
  .uslugi p{
    font-size: 15px;
    
  }
  .info {
    width: 90vw;
    height: 90%;
    gap: 22px;
  }
  .info h1 {
    font-size: 35px;
    margin-top: 35px;
  }
  .info p, .info ul {
    font-size: 16px;
  }
  .info .cena i {
    font-size: 35px;
  }
  .info .zamow {
    width: 80%;
  }
  .line {
    display: block;
    width: 85%;
    margin: 40px auto;
    height: 3px;
    background-color: rgb(169, 119, 211);
    border: 1px solid rgb(169, 119, 211);
    border-radius: 3px;
  }
  .duze-bloki a{
    width: 100%;
    height: 100%;
  }
  .duze-bloki {
    height: auto;
  }
  #opinie-in, #portfolio-in{
    flex-direction: column;
    box-sizing: border-box;
    justify-content: center;
  }
  .carousel, #texty-opinie, #texty-portfolio {
    width: 100%;
    align-items: center;
  }
  .carousel-item1, .carousel-item2 {
    padding: 10px;
  }
  
  .carousel-item1 h3, .carousel-item2 h3{
    font-size: 1.3rem;
  }
  .carousel-item1 p, .carousel-item2 p {
    font-size: 0.9rem;
  }
  #portfolio-in {
    flex-direction: column-reverse;
  }
  #texty-opinie h2{
    margin-left: 0;
  }
  #texty-portfolio p, #texty-opinie p {
    width: 100%;
    text-align: center;
    margin: 10px 0;
  }
  footer {
    flex-direction: column;
    height: auto;
  }
  footer > * {
    width: 100% !important;
  }
  footer #center{
    display: none;
  }
  
}